{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount, msg, rds_comm\r\n$insert msg_equates\r\n$insert logical\r\n\r\n* THIS CODE NEVER CALLED DUE TO IT BEING INVISIBLE ON THE WINDOW\r\n* WE WILL NOT LET THE USER INSERT OR DELETE LAYERS ANYMORE\r\n* BRYCE MADE THIS DECISION ON 1/15/98\r\n* DID NOT DELETE CAUSE POSSIBLY SOME DAY CHRIS MAY WANT IT BACK\r\nRETURN 0\r\n\r\n\r\nLayerPromptCnt = get_property( @window, '@LayerPromptCnt' )\r\nLayerControls = get_property( @window, '@LayerControls' )\r\nLayerDataOnWindow = get_property( LayerControls, 'INVALUE' )\r\nconvert @rm to @fm in LayerDataOnWindow\r\nif LayerDataOnWindow = str( @fm, LayerPromptCnt-1 ) then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You cannot have a blank multi layer RDS...'\r\n    MsgInfo<micon$> = 'H'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend else\r\n\tContinue = false$\r\n\tif .epi_dopant->enabled = 0 then\r\n\t\tValidSecurity = rds_comm( 'OVERRIDE' )\r\n\t\tif ValidSecurity then\r\n\t\t    Continue = true$\r\n\t        Controls = get_property( @window, '@LayerControls' )\r\n\t\t    Void = set_property( Controls, 'ENABLED', 1 )\r\n\t\t    .recipe_no->enabled = 0\r\n\t\tend\r\n\tend else\r\n\t    Continue = true$\r\n\tend\r\n    if Continue then\r\n\t\tCurLayerNo = get_property( @window, '@CurLayer' )\r\n\t\tAllLayers  = get_property( @window, '@LayerInfo' )\r\n\t\tAllLayers = fieldstore( AllLayers, char(248), CurLayerNo, 1, char(243):LayerDataOnWindow )\r\n\t\tconvert char(243) to char(248) in AllLayers\r\n\t\tVoid = set_property( @window, '@LayerInfo', AllLayers )\r\n\t\t* now display the next layer info\r\n\t\tNewLayerData = field( AllLayers, char(248), CurLayerNo )\r\n\t\t*\r\n\t\tValueCnt = fieldcount( NewLayerData, @fm )\r\n\t\t* so set_property does not propagate\r\n\t\tif ValueCnt < LayerPromptCnt then\r\n\t\t   NewLayerData := str( @fm, LayerPromptCnt-ValueCnt-1 )\r\n\t\tend\r\n\t\tconvert @fm to @rm in NewLayerData\r\n\t\tVoid = set_property( LayerControls, 'INVALUE', NewLayerData )\r\n\t\tNumLayers = fieldcount( AllLayers, char(248) ) \r\n\t    .layer_desc->text = CurLayerNo:' of ':NumLayers\r\n\t    void = set_property( @window:'.EPI_DOPANT', 'FOCUS', 1 )    \r\n\tend\r\nend\r\nRETURN 0"
        }
    }
}